#ifndef _SEMAPHORE_H_
#define _SEMAPHORE_H_

#ifdef __cplusplus
extern          "C" {
#endif

#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/sem.h>


int create_semaphore(key_t key);
int open_semaphore(key_t key);
int delete_semaphore(key_t key);
int wait_semaphore(key_t key);
int signal_semaphore(key_t key);

#ifdef __cplusplus
}
#endif

#endif
